function setPsychoModuleGUI(this, ~)
set(this.HContainer,'Units','normalized');
%% background panel
uipanel('parent',this.HContainer, ...
    'Units', 'normalized', ...
    'Position',[0, 0, 1, 1],...
    'BackgroundColor',[0.6,0.6,0.6]...
    );
%% sound devices list
uicontrol(this.HContainer, ...
    'Tag','txFeedBack', ...
    'Style','text', ...
    'FontSize',36,...
    'HorizontalAlignment', 'center', ...
    'String','Initializing', ...
    'Units', 'normalized', ...
    'UserData', this, ...
    'Position',[0, 0.5, 1, 0.1],...
    'BackgroundColor',[0.6,0.6,0.6]...
    );
%% choice buttons
uicontrol(this.HContainer, ...
    'Tag','pbA', ...
    'Style','pushbutton', ...
    'FontSize',36,...
    'HorizontalAlignment', 'center', ...
    'UserData', this, ...
    'String','First Sequence', ...
    'Units', 'normalized', ...
    'Position',[0.1, 0.2, 0.3, 0.1], ...
    'Callback', @callbackSelection, ...
        'BackgroundColor',[0.8 0.8 0.8]...
    );
uicontrol(this.HContainer, ...
    'Tag','pbB', ...
    'Style','pushbutton', ...
    'FontSize',36,...
    'HorizontalAlignment', 'center', ...
    'UserData', this, ...
    'String','Second Sequence', ...
    'Units', 'normalized', ...
    'Position',[0.6, 0.2, 0.3, 0.1], ...
    'Callback', @callbackSelection, ...
    'BackgroundColor',[0.8 0.8 0.8]...
    );